- Home
- API Enriched
- Tenant And Identity
- web
- GET User Details.
GET User Details.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/whoami';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/whoami \ --header 'Authorization: <Authorization>'GET fetches user information based on the username header from the request context this API is also called as WhoAmI.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the user object (namespace where the user object is stored).
Responses
Section titled “Responses”A successful response.
Detailed information about user including role assigments and other details for tenant.
object
UUID of the plan transition request which is currently in progress. This field is empty if there is no such request.
Addon service state and access for the user.
object
Collection of flags informing the customer of any billing related problems, such as overdue invoices.
Single instance of a billing indicator. It informs the customer of any problems with their billing, including failed payments, overdue invoices, or missing valid payment methods.
object
Any description (such as error message) related to this billing feature.
If true then the billing feature is failed and to be looked into.
Billing plan name of the plan template the tenant is subscribed to (Free plan, Teams Plan, Organization Plan, …)
CName via tenant will be accessed from URL.
Legal name of the company the user/tenant belongs to.
User object creation timestamp.
If set to true user is completely disabled including IDM.
Domain owner is the first user who registered or signed up the associated Tenant. User created via signup flow will have this value set to true. Few restrictions apply to this user w.r.t role update and deletion.
Email of the user object.
Current global controller deployment enviroment.
Feature flag that shows whether this feature should be enabled on UI for the current plan.
object
X-displayName “Disabled” status of whether this feature should be disabled for current plan.
Name of the feature.
First name of the customer.
Group list must be associated to this user.
Last login timestamp when user successfully login to access VoltConsole.
Last name of the customer.
object
Msp ID for the tenant.
Hold parent tenant ID.
Tier of tenant in MSP tree.
Username of the user.
Namespace of the user object (namespace where the user object is stored).
object
List of all the roles for the entity in the namespaces Required: YES.
object
Directly attached namespace roles for the user This field is deprecated, refer to namespace_access field for the access of the user.
Allows linking namespaces and roles.
object
Namespace the role applies to ’*’ value implies all namespaces Required: YES.
Users role for this namespace Required: YES.
Returns original tenant ID that the user belongs if request header exist for original tenant else regular tenant ID.
object
Tenant will represent ID of the tenant that is being accessed.
Contains information about tenant configuration for giving UI instructions to show specific sections.
object
Contains information about current state of the tenant.
Primary Navigation Tile access based on Plan and Addon service subscription.
object
Tos accepted version.
Tos accepted timestamp.
Tos current version.
Tos accepted version.
User UUID of the currently logged in user.
Example
{ "access_type": "UNKNOWN_ACCESS", "billing_flags": [ { "action": "NO_ACTION", "billing_flag": "VALID_PAYMENT_METHOD" } ], "idm_type": "SSO", "msp_managed": { "node_type": "MspNodeTypeUnknown" }, "plan_type": "FREE", "signup_origin": "ORIGIN_UNKNOWN", "state": "StateUndefined", "sync_mode": "SELF", "tenant_type": "UNKNOWN", "type": "USER"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example